For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet fulfillment reqeusts filtered by search parameters
          • GETGet fulfillment requests by order
          • GETGet details of a single fulfillment request
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Fulfillment Requests

Get fulfillment requests by order

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/fulfillment_requests
GET
/api/v2/orders/:order-id/fulfillment_requests
$curl https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillment_requests \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "fulfillment_requests": [
3 {
4 "id": "109872189273617283",
5 "order_id": 1,
6 "fulfilling_integration_id": "109872189273617283",
7 "fulfilling_integration_name": "BigCommerce UK",
8 "fulfilling_integration_plugin": "BigCommercePlugin",
9 "fulfillment_request_lines": [
10 {
11 "id": "109872189273617283",
12 "feedamp_order_line_number": "109872189273617283",
13 "sku": "string",
14 "quantity": 1,
15 "product_name": "string",
16 "shipping_method": "string"
17 }
18 ],
19 "created_at": {},
20 "platform_order_number": "111-99998888-55555",
21 "fulfillment_type": "string",
22 "shipping_address": {
23 "full_name": "John M. Doe",
24 "address1": "123 Fake Street",
25 "city": "Ghost Town",
26 "state": "DC",
27 "postal_code": "91234",
28 "country_code": "USA",
29 "address_type": "business",
30 "address2": "Building 456",
31 "address3": "Room 789",
32 "country_code_iso2": "US",
33 "phone": "9997776666"
34 }
35 }
36 ]
37}
Get all fulfillment requests associated with a single customer order
Was this page helpful?
Previous

Get fulfillment reqeusts filtered by search parameters

Next

Get details of a single fulfillment request

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Response

List of fulfillment requests
fulfillment_requestslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error